dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
set_inpun_fun("gameinput");
location={}
location["kabinet"] = true
location["kabinet"] = {}
location["kabinet"]["id"] = 17
location["kabinet"]["sub_id"] = 0
function LevelComplete()
  DeleteElement("gr",109);
  if not flags.recorder then
    --AddElement("gr",124);
    --MoveObjectToTree(124);
    flags.recorder=true;
    LevelComplete()
  return;end;
  -- if not flags.photo then
    -- AddElement("gr",125);
    -- MoveObjectToTree(125);
    -- flags.photo=true;
    -- LevelComplete()  
  -- return;end;  
  flags.levelcomplete=true;
    whole_darkness=false;
  DarkScreen(true);
  ShowMenu(false)
end;
function LoadingLevel(param)
if flags.levelcomplete then
  delete_tree_leaf("Root","kabinet");-- Добавляет лист в дерево 
  setnextlavel(18);
  loadlavel();
return; end;
SetAlfaValue(503,0);
     SLevel=param;
return;end;

flags={};
flags["comx"]=false;
flags["comx1"]=false;
flags["HintCount"]=5;
flags["minicomplete"]=false;
flags["minicomplete1"]=false;
flags["minicomplete2"]=false;
flags["phone"]=false;
flags["all"]=false;
flags["photo"]=false;
flags["recorder"]=false;
flags["levelcomplete"]= false;
flags["first"]= true;
flags["nohints"]=false;
skip= false;

add_tree_leaf("Root","kabinet",17,0);-- Добавляет лист в дерево 
  addstaticobjecttogame(877777777,"buttons",114,625,"",60,0,61,61);
  SetCurrentRM("menu");
  AddSheet(1002,"re","red_b",103,656,37,41,"",99,657,650,80,92,21,5,5,0,59,877777777,nil,"buttonsY");
  SetCurrentRM("main");
  ShowMenu(false);
loadresource("data\\photoaparat.png","photoaparat",2000029);
loadresource("data\\animationMENU3.png","menuAn",2000030);
AddImgToBook("photoaparat",821,637);
AddHints()

dofile("./data/17/0/res.lua");
setcurentleaf("kabinet",17,0);
SwitchToSheet("re");
frame=0;
WaitRender()
flags.comx= true

ShowMenu(false);
function StartLevel()
  DarkScreen(false);
    SetCurrentRM("menu");
    AddImgToBook("photoaparat",821,637);
    AddHints()
  SetCurrentRM("main");
    ShowMenu(true);
    AddParticleToObject(40,"Svet4",335,448);
    MoveEmiter("Svet4",335,448);
    if (not flags.minicomplete51) and flags.gaz then
      StartEmiter("Svet4");
    end;    
    AddParticleToObject(24,"zvezd7",344,488);
    MoveEmiter("zvezd7",344,488);
    if (not flags.gaz) then
      StartEmiter("zvezd7");
    end;
end
playfile(".\\sound\\game_theme2.ogg",true,true);